Get previous shifts
GET {{baseUrl}}/shifts/couriers/previous
Lists the driver’s past shifts. Source: endpoints/staffing.ts GET /shifts/couriers/previous — same Shift[] shape as “Get upcoming shifts”, just in the past (checked_in will usually be set).
Examples
Section titled “Examples”curl --request GET 'https://api.firstdelivery.com/api/shifts/couriers/previous'const response = await fetch("https://api.firstdelivery.com/api/shifts/couriers/previous", { "method": "GET", "headers": {}})const data = await response.json()import requests
response = requests.request( "GET", "https://api.firstdelivery.com/api/shifts/couriers/previous", headers={},)response.raise_for_status()Saved responses
Section titled “Saved responses”[ { "id": "<shift-id>", "start": "2026-06-20T16:00:00.000Z", "stop": "2026-06-20T20:00:00.000Z", "retreat_point": "c1d2e3f4-1111-4a2b-9c3d-4e5f6a7b8c9d", "hourly_rate": 18, "length_hours": 4, "checked_in": "2026-06-20T16:03:00.000Z", "cash": false, "hotbag": false }]
